// option_folder: folder option
// Copyright (C) 2004 GORRY.

#ifndef __OPTION_FOLDER_H__
#define __OPTION_FOLDER_H__

#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>

#include "g_const.h"
#include "g_global.h"
#include "g_parsefilename.h"

typedef struct tagOPTION_FOLDER {
	int Stop;
	int FindSubFolder;
	int DelSubFolder;
	DWORD FreeSpaceSize;
	DWORD Interval;
	int ToTrashCan;
	int DelReadOnly;
	int DelHidden;
	DWORD LogRotateSize;
	TCHAR TargetFolder[MAX_PATH];
	TCHAR TargetExt[MAX_PATH];
} OPTION_FOLDER;

int Option_Folder_Init(
	OPTION_FOLDER *of
);

int Option_Folder_GetPath(
	TCHAR *path
);

int Option_Folder_Load(
	OPTION_FOLDER *of,
	TCHAR *filename
);

int Option_Folder_Save(
	OPTION_FOLDER *of,
	TCHAR *filename
);


#endif // __OPTION_FOLDER_H__

////////////////////////////////////////////////////////////////
// [EOF]
