// poi.h: delete target file
// Copyright (C) 2004 GORRY.

#ifndef __POI_H__
#define __POI_H__

#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>

#include "frpoi.h"
#include "option_folder.h"
#include "log.h"

#define DEFSIZE_FILEENTRY 256

extern int Poi_Busy;

struct tagFILEENTRY;

typedef struct tagFOLDERNAMETBL {
	TCHAR Path[MAX_PATH+1];
	DWORD Atr;
	DWORD FileCount;
	DWORD EntryIdx;
	struct tagFOLDERNAMETBL *SubFolder;
	struct tagFOLDERNAMETBL *Next;
} FOLDERNAMETBL;

typedef struct tagFILEENTRY {
	TCHAR Name[MAX_PATH+1];
	struct tagFOLDERNAMETBL *Folder;
	FILETIME Time;
	__int64 FileSize;
	DWORD Atr;
} FILEENTRY;

typedef struct tagFILELIST {
	DWORD *EntryIdx;
	FILEENTRY *Entry;
	DWORD EntrySize;
	DWORD EntryCount;
} FILELIST;

typedef struct tagDISKFREESPACEINFO {
	__int64 FreeSpace;
	DWORD BytePerCluster;
} DISKFREESPACEINFO;

int Fork_Poi_Main(
	OPTION_FOLDER *option,
	int testflag,
	HWND hwndnotify
);

#endif // __POI_H__

////////////////////////////////////////////////////////////////
// [EOF]
