// centerwindow: move window at center
// Copyright (C) 2004 GORRY.

#include "g_centerwindow.h"

////////////////////////////////////////////////////////////////
// EBhẼZ^O

int g_CenteringWindow(
	HWND hwnd,
	HWND hwndparent
) {
	RECT rectscreen;
	RECT rectparent;
	RECT recthwnd;
	int x, y, h, w;

	SetRect( &rectscreen, 0, 0, GetSystemMetrics( SM_CXSCREEN ), GetSystemMetrics( SM_CYSCREEN ) );
	GetWindowRect( hwnd, &recthwnd );
	if ( hwndparent ) {
		GetWindowRect( hwndparent, &rectparent );
		rectparent.left   = max( rectparent.left  , rectscreen.left   );
		rectparent.right  = min( rectparent.right , rectscreen.right  );
		rectparent.top    = max( rectparent.top   , rectscreen.top    );
		rectparent.bottom = min( rectparent.bottom, rectscreen.bottom );
	} else {
		rectparent = rectscreen;
	}

	w = recthwnd.right  - recthwnd.left;
	h = recthwnd.bottom - recthwnd.top;
	x = (rectparent.right  + rectparent.left - w)/2;
	y = (rectparent.bottom + rectparent.top  - h)/2;
	x = min( x, rectparent.right-w );
	x = max( x, 0 );
	y = min( y, rectparent.bottom-h );
	y = max( y, 0 );

	MoveWindow( hwnd, x, y, w, h, IsWindowVisible( hwnd ) );

	return (0);
}


////////////////////////////////////////////////////////////////
// [EOF]
