// taskicon: taskbar icon
// Copyright (C) 2004 GORRY.

#include "g_taskicon.h"

////////////////////////////////////////////////////////////////

static TCHAR TaskIconMessage[SLEN];
static int TaskIconID;
static NOTIFYICONDATA NotifyICON;

////////////////////////////////////////////////////////////////
// ACRݒu/

BOOL g_SetTaskIcon(
	HINSTANCE hinst,
	HWND hwnd,
	int idb,
	int notifymsg,
	int md
) {
	HICON icon;
	static HIMAGELIST himl;
	static HBITMAP hbmp;

	if ( himl == NULL ) {
//		himl = ImageList_LoadImage( hinst, MAKEINTRESOURCE(idb), 16, 1, CLR_NONE, IMAGE_BITMAP, LR_LOADTRANSPARENT|LR_LOADMAP3DCOLORS );
		himl = ImageList_LoadBitmap( hinst, MAKEINTRESOURCE(idb), 16, 1, RGB(255,0,255) );
	}

	if ( md ) {
		icon = ImageList_GetIcon( himl, TaskIconID, ILD_NORMAL );
		if ( NotifyICON.hWnd != hwnd ) {
			NotifyICON.cbSize = sizeof(NOTIFYICONDATA);
			NotifyICON.hWnd = hwnd;
			NotifyICON.uID = idb;
			NotifyICON.uFlags = NIF_MESSAGE | NIF_ICON | NIF_TIP;
//			NotifyICON.uFlags = NIF_ICON | NIF_TIP;
			NotifyICON.hIcon = icon;
			NotifyICON.uCallbackMessage = notifymsg;
			lstrcpyn( NotifyICON.szTip, TaskIconMessage, sizeof(NotifyICON.szTip)-1 );
			NotifyICON.szTip[sizeof(NotifyICON.szTip)-1] = '\0';
			Shell_NotifyIcon( NIM_ADD, &NotifyICON );
		}
		NotifyICON.hIcon = icon;
		lstrcpy( NotifyICON.szTip, TaskIconMessage );
		Shell_NotifyIcon( NIM_MODIFY, &NotifyICON );
		DestroyIcon(icon);
	} else {
		if ( NotifyICON.hWnd == hwnd ) {
			Shell_NotifyIcon( NIM_DELETE, &NotifyICON );
			NotifyICON.hWnd = NULL;
		}
	}

	return (TRUE);
}

////////////////////////////////////////////////////////////////
// ^XNACRIDύX

void g_SetTaskIconID(
	int id
) {
	TaskIconID = id;
}

////////////////////////////////////////////////////////////////
// bZ[WύX

void g_SetTaskIconMessage(
	TCHAR *s
) {
	lstrcpyn( TaskIconMessage, s, sizeof(NotifyICON.szTip)-1 );
}

////////////////////////////////////////////////////////////////
// [EOF]
