// wp_about: about
// Copyright (C) 2004 GORRY.

#include "wp_about.h"

static HWND MY_HWND;

////////////////////////////////////////////////////////////////
// CvV[W

static BOOL CALLBACK MY_PROC(
	HWND hwnd,
	UINT message,
	WPARAM wParam,
	LPARAM lParam
) {
	WPParam wp;
	WORD id, cmd;
	BOOL result = 0;
	TCHAR url[256];

	wp.hwnd = hwnd;
	wp.message = message;
	wp.wParam = wParam;
	wp.lParam = lParam;

	switch ( message ) {
	  case WM_INITDIALOG:
		// EBhE쐬
		MY_HWND = hwnd;
		g_CenteringWindow( hwnd, NULL );
		break;

	  case WM_COMMAND:
		id = GET_WM_COMMAND_ID( wParam, lParam );
		cmd = GET_WM_COMMAND_CMD( wParam, lParam );
		switch (id) {
		  case IDC_BUTTON_SUPPORTPAGE:
			GetWindowText( GetDlgItem( hwnd, id ), url, sizeof(url) );
			ShellExecute( hwnd, NULL, url, NULL, NULL, SW_SHOWNORMAL );
			return (TRUE);

		  case IDOK:
			EndDialog( hwnd, 1 );
			return (TRUE);

		  case IDHELP:
//			WinHelp( MY_HWND, HLP_FILE, HELP_CONTEXT, HELP_ID );
			return (TRUE);

		  case IDCANCEL:
			EndDialog( hwnd, 0 );
			return (TRUE);
		}
		break;

	  case WM_DESTROY:
		MY_HWND = NULL;
		break;

	}
	return (result);
}

////////////////////////////////////////////////////////////////
// EBhE쐬

int WP_About_Dialog(
	HWND hwnd
) {
	int ret;

	ret = DialogBox( ThisInst, MAKEINTRESOURCE(IDD_ABOUT), hwnd, MY_PROC );
	return (ret);
}



////////////////////////////////////////////////////////////////
// [EOF]
